package entity;


import enums.EquipmentTypeEnum;
import enums.TunnelType;
import lombok.Data;

import java.util.List;

/**
 * 通道信息的基类，用于与数据库交互传递信息的实体
 *
 * @author 修唯xiuwei
 * @version 3.0
 */
@Data
public abstract class BaseTunnelInfo<T> {

    /**
     * 通道的id  使用String的UUID 或雪花值 方便后期的通道联合查询
     */
    //@TableId(type = IdType.INPUT)
    protected String id;
    /**
     * 通道的名称
     */
    protected String tunnelName;

    /**
     * 通道的类型，冗余字段
     */
    //@EnumValue
    protected TunnelType tunnelType;

    /**
     * 数据刷新时间间隔 单位s 秒
     */
    protected Integer refreshInterval;

    /**
     * 通道是否启用
     */
    protected Boolean isEnable;

    /**
     * 绑定的设备类型
     */
    protected EquipmentTypeEnum equipmentType;


    /**
     * 绑定的设备类型
     */
    protected Integer equipmentNo;


    /**
     * 通道中的点位
     */
   // @TableField(exist = false)
    List<T> dataPoints;


}
