package entity;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import enums.EquipmentTypeEnum;
import lombok.Data;

/**
 * 设备属性
 * 各个设备的属性值提取出来
 *
 * @author 修唯xiuwei
 * @version 3.0
 * @date 2021/05/17
 */
@TableName(value = "EQUIPMENT_ATTRIBUTE")
@Data
public class EquipmentAttribute {

	/**
	 * Id
	 */
	@TableId(type = IdType.AUTO)
	Integer id;

	/**
	 * 属性的定义
	 */
	String explanation;


	/**
	 * 属性所对应的的类的属性
	 */
	String fieldName;


	/**
	 * 计量单位
	 */
	String measurementUnits;


	/**
	 * Equipment type
	 */
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	EquipmentTypeEnum equipmentType;

	/**
	 * 字段类型
	 */
	@EnumValue
	private EquipmentAttributeTypeEnum equipmentAttributeTypeEnum;

	enum EquipmentAttributeTypeEnum {
		/**
		 * INVARIANT 固定字段 不可修改的
		 * SPARE 备用字段
		 * CUSTOM 自定义字段
		 */
		INVARIANT, SPARE, CUSTOM
	}


}
