package entity.datapoint;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

/**
 * 计算的采集点表
 *
 * @author: xiuwei
 * @version:
 */
@Setter
@Getter
@TableName(value = "CALCULATE_DATA_POINT", resultMap = "CalculateDataPointWithEA")
public class CalculateDataPoint extends BaseDataPoint {

    @EnumValue
    private CalculateModel calculateModel;
    /**
     * 公式
     */
    private String formula;
    /**
     * 计算类名
     */
    private String calculateClassName;


    public CalculateDataPoint() {
        this.dataPointType = DataPointType.CALCULATE;
    }


    public enum CalculateModel {
        /**
         * 公式
         */
        FORMULA,
        /**
         * 类
         */
        CLASS
    }
}
