package entity.datapoint;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import enums.DataType;
import java.math.BigDecimal;



/**
 * 转发点表
 *
 * @author: xiuwei
 * @version:
 */
@Setter
@Getter
@TableName(value = "SENDER_DATA_POINT")
public class SenderDataPoint {


	@TableId(type = IdType.AUTO)
	private Integer id;

	/**
	 * 所属通道
	 */
	private String tunnelId;

	/**
	 * 通道点位
	 */
	private Integer protocolPoint;

	/**
	 * 采集点表的ID 即数据池的ID
	 */
	private String dataPointId;

	/**
	 * 协议数据类型
	 */
	@EnumValue
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private DataType dataType;


	/**
	 * 倍率
	 */
	private BigDecimal ratio;


}
