package enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 协议命令类型
 *
 * @author xiuwei
 * @date 2021/07/12
 */
@AllArgsConstructor
@Getter
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum CommandProtocolType {
	WRITE_COIL(5, TunnelType.MODBUS, "写单个线圈"),
	WRITE_REGISTER(6, TunnelType.MODBUS, "写单个寄存器"),
	WRITE_COILS(15, TunnelType.MODBUS, "写连续线圈"),
	WRITE_REGISTERS(16, TunnelType.MODBUS, "写连续寄存器"),
	SINGLE_BOOLEAN(45, TunnelType.IEC104, "单点遥控"),
	DOUBLE_BOOLEAN(46, TunnelType.IEC104, "双点遥控"),
	NORMALIZATION(48, TunnelType.IEC104, "归一化值遥调"),
	SHORT_FLOAT(50, TunnelType.IEC104, "浮点遥调");


	/**
	 * 代码
	 */
	private Integer code;
	/**
	 * 通道类型
	 */
	private TunnelType tunnelType;
	/**
	 * 解释
	 */
	private String explain;

	public enum TunnelType {
		MODBUS, IEC104, CDT
	}

	public String getKey() {
		return this.name();
	}
}
