package enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 设备数据对象类型枚举
 * lastModify
 * 2020.3.26  修唯   枚举名修改，新增发电站类型，删除各种功率，设备数，开机容量等类型
 * @version 1.0
 * @since 2019/8/19 8:59
 */
@Getter
@AllArgsConstructor
//@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum EquipmentTypeEnum {

    /**
     * 场站也视为设备类型的一种
     */
    POWERSTATION(0, "发电站"),
    SVG(1, "SVG/SVC"),
    INVERTER(2, "逆变器"),
    WINDTOWER(3, "测风塔"),
    WINDTURBINE(4, "风机"),
    EMS(5, "能管平台"),
    BOOSTERSTATION(6, "升压站"),
    AGC(7, "AGC"),
    AVC(8, "AVC"),
    COLLECTIONLINE(9, "集电线");


    private Integer code;

    private String message;


    public static EquipmentTypeEnum valueOf(Integer code) {
        switch (code) {
            case 0:
                return POWERSTATION;
            case 1:
                return SVG;
            case 2:
                return INVERTER;
            case 4:
                return WINDTURBINE;
            case 5:
                return EMS;
            case 6:
                return BOOSTERSTATION;
            case 7:
                return AGC;
            case 8:
                return AVC;
            case 9:
                return COLLECTIONLINE;
            default:
        }
        return null;
    }



    public String getKey() {
        return this.name();
    }
}
