package enums;


import entity.BaseTunnelInfo;
import lombok.AllArgsConstructor;
import lombok.Getter;
import mastertunnelinfo.Master104TcpTunnelInfo;
import mastertunnelinfo.MasterCdtRtuTunnelInfo;
import mastertunnelinfo.MasterModbusRtuTunnelInfo;
import mastertunnelinfo.MasterModbusTcpTunnelInfo;
import slavertunnelinfo.Slaver104TcpTunnelInfo;
import slavertunnelinfo.SlaverCdtRtuTunnelInfo;
import slavertunnelinfo.SlaverModbusRtuTunnelInfo;
import slavertunnelinfo.SlaverModbusTcpTunnelInfo;

/**
 * 通道的类型
 *
 * @author 修唯xiuwei
 * @version 3.0
 */

@AllArgsConstructor
@Getter
//@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum TunnelType {


	/**
	 * 通道类型枚举
	 */
	MODBUSTCPMASTER("modbusTCP采集", "in", MasterModbusTcpTunnelInfo.class),
	/**
	 * modbusRTU采集
	 */
	MODBUSRTUMASTER("modbusRTU采集", "in", MasterModbusRtuTunnelInfo.class),
	/**
	 * IEC104TCP采集
	 */
	IEC104TCPMASTER("IEC104TCP采集", "in", Master104TcpTunnelInfo.class),
	/**
	 * CDTRTU采集
	 */
	CDTRTUMASTER("CDTRTU采集", "in", MasterCdtRtuTunnelInfo.class),
	/**
	 * modbusTCP转发
	 */
	MODBUSTCPSLAVE("modbusTCP转发", "out", SlaverModbusTcpTunnelInfo.class),
	/**
	 * modbusRTU转发
	 */
	MODBUSRTUSLAVE("modbusRTU转发", "out", SlaverModbusRtuTunnelInfo.class),
	/**
	 * IEC104TCP转发
	 */
	IEC104TCPSLAVE("IEC104TCP转发", "out", Slaver104TcpTunnelInfo.class),
	/**
	 * CDTRTU转发
	 */
	CDTRTUSLAVE("CDTRTU转发", "out", SlaverCdtRtuTunnelInfo.class);


	/**
	 * 通道的类型描述
	 */

	private String cnDescribe;


	/**
	 * 流向
	 */
	private String flow;

	/**
	 * 对应通道实体类
	 */
	//@JsonIgnore
	private Class<? extends BaseTunnelInfo> clazz;

	public String getKey() {
		return this.name();
	}


}
