package tunnelworker.masters;


import entity.datapoint.CommandDataPoint;
import exception.DataExchangeException;

/**
 * 通过接口采集数据的抽象类
 *
 * @author 修唯xiuwei
 * @version 3.0
 */
public interface MasterInterface {


    /**
     * 该通道通过自身协议采集负责点位的数据并存入缓存池
     *
     * @throws DataExchangeException 自定义异常
     */
    void getData() throws DataExchangeException;


    /**
     * 发送命令
     *
     * @param dataPoint 数据点
     * @param val       值
     * @return boolean* @throws DataExchangeException 数据交换异常
     * @throws Exception 异常
     */
    boolean sendCommand(CommandDataPoint dataPoint, Object val) throws Exception;


}
