package tunnelworker.workassist.iec104tcp;

import lombok.extern.slf4j.Slf4j;
import wei.yigulu.iec104.annotation.AsduType;
import wei.yigulu.iec104.apdumodel.Apdu;
import wei.yigulu.iec104.asdudataframe.NormalizationValueCommand;


/**
 * 处理归一化值命令的接收
 *
 * @author: xiuwei
 * @version:
 */
@Slf4j
@AsduType(typeId = 48)
public class HandleNormalizationValueCommand extends NormalizationValueCommand {


    @Override
    public byte[][] handleAndAnswer(Apdu apdu) throws Exception {
        NormalizationValueCommand dataFrame = (NormalizationValueCommand) apdu.getAsdu().getDataFrame();
        dataFrame.getAddresses();
        dataFrame.getVal();
        String tunnelId = (String) apdu.getIec104Builder().getConfigInfoMap().get("tunnelId");
        String tunnelName = (String) apdu.getIec104Builder().getConfigInfoMap().get("tunnelName");
        log.info("通道{},接收到命令：{},命令类型：{},命令值为:{}" , tunnelName,dataFrame.getAddresses() , "归一化值",dataFrame.getVal());
      //  ReceiveDispatchingCommand.getInstance().receiveInstruction(tunnelId, dataFrame.getAddresses().getAddress(), BigDecimal.valueOf(dataFrame.getVal().getValue()));
        return super.handleAndAnswer(apdu);
    }


}
