package tunnelworker.workassist.iec104tcp;

import lombok.extern.slf4j.Slf4j;
import wei.yigulu.iec104.annotation.AsduType;
import wei.yigulu.iec104.apdumodel.Apdu;
import wei.yigulu.iec104.asdudataframe.SingleBooleanCommand;

/**
 * 处理命令的接收
 *
 * @author: xiuwei
 * @version:
 */
@AsduType(typeId = 45)
@Slf4j
public class HandleSingleBooleanCommand extends SingleBooleanCommand {


	@Override
	public byte[][] handleAndAnswer(Apdu apdu) throws Exception {
		SingleBooleanCommand singleBooleanCommand = (SingleBooleanCommand) apdu.getAsdu().getDataFrame();
		singleBooleanCommand.getAddresses();
		singleBooleanCommand.getVal();
		String tunnelId = (String) apdu.getIec104Builder().getConfigInfoMap().get("tunnelId");
		String tunnelName = (String) apdu.getIec104Builder().getConfigInfoMap().get("tunnelName");
		log.info("通道{},接收到命令：{},命令类型：{},命令值为:{}" , tunnelName,singleBooleanCommand.getAddresses() , "单点遥控",singleBooleanCommand.getVal().getIecValue());
		//ReceiveDispatchingCommand.getInstance().receiveInstruction(tunnelId, singleBooleanCommand.getAddresses().getAddress(), singleBooleanCommand.getVal().getIecValue());
		return super.handleAndAnswer(apdu);
	}


}
